<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PaymentMethodVisuals StructType
 * @subpackage Structs
 */
class PaymentMethodVisuals extends AbstractStructBase
{
    /**
     * The flags
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $flags;
    /**
     * The location
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $location;
    /**
     * Constructor method for PaymentMethodVisuals
     * @uses PaymentMethodVisuals::setFlags()
     * @uses PaymentMethodVisuals::setLocation()
     * @param string $flags
     * @param string $location
     */
    public function __construct($flags = null, $location = null)
    {
        $this
            ->setFlags($flags)
            ->setLocation($location);
    }
    /**
     * Get flags value
     * @return string|null
     */
    public function getFlags()
    {
        return $this->flags;
    }
    /**
     * Set flags value
     * @param string $flags
     * @return \StructType\PaymentMethodVisuals
     */
    public function setFlags($flags = null)
    {
        // validation for constraint: string
        if (!is_null($flags) && !is_string($flags)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($flags, true), gettype($flags)), __LINE__);
        }
        $this->flags = $flags;
        return $this;
    }
    /**
     * Get location value
     * @return string|null
     */
    public function getLocation()
    {
        return $this->location;
    }
    /**
     * Set location value
     * @param string $location
     * @return \StructType\PaymentMethodVisuals
     */
    public function setLocation($location = null)
    {
        // validation for constraint: string
        if (!is_null($location) && !is_string($location)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($location, true), gettype($location)), __LINE__);
        }
        $this->location = $location;
        return $this;
    }
}
